#include <QtGui>
#include <QGLWidget>

int main(int argc, char** argv)
{
   QApplication app(argc, argv);

   QGraphicsScene scene;
   QGraphicsView view(&scene);
   QGLWidget* gl_win = new QGLWidget();
   view.setViewport(gl_win);
   view.setViewportUpdateMode(QGraphicsView::FullViewportUpdate);
   QPixmap pixmap("star.png");
   QGraphicsItem* logo_item = scene.addPixmap(pixmap);
   logo_item->setPos(10, 10);

   view.show();
   return app.exec();
}
